package router

import (
	"wayne/go-admin/middleware"

	"github.com/gin-gonic/gin"
)

func App() *gin.Engine {
	r := gin.Default()
	r.Use(middleware.Cors())

	AppRouter(r)

	AdminRouter(r)

	ApiRouter(r)

	return r
}
